Page MenuHomePhabricator

Namespace dropdown on Special:Import is confusing
Closed, ResolvedPublic

Description

Author: mike.lifeguard+bugs

Description:
The (all) option in that dropdown really means "Put it in whatever namespace it's coming from." Perhaps "same" would be better than "all."


Version: unspecified
Severity: normal

Details

Reference
bz15908

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz15908.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 9 2008, 4:34 AM
demon added a comment.Oct 9 2008, 3:29 PM

The major problem with that option (besides the naming) is that said namespace _might_ not be defined on the importing wiki...I'd suggest only giving that option if the namespace exists.

mike.lifeguard+bugs wrote:

(In reply to comment #1)

The major problem with that option (besides the naming) is that said namespace
_might_ not be defined on the importing wiki...I'd suggest only giving that
option if the namespace exists.

Exists or has an equivalent. When importing from another language, the namespaces will be named differently. This even occurs between projects - the project namespace changes from project to project within a single language.

I suppose that'd be related to bug 15387, and possibly bug 5770.

gerritbot added a subscriber: gerritbot.

Change 179116 had a related patch set uploaded (by TTO):
Make import destination UI more intuitive and clearer

https://gerrit.wikimedia.org/r/179116

Patch-For-Review

TTO claimed this task.Jan 26 2015, 1:02 AM

Change 179116 merged by jenkins-bot:
Make import destination UI more intuitive and clearer

https://gerrit.wikimedia.org/r/179116

TTO closed this task as Resolved.Apr 22 2015, 9:31 PM
Meno25 removed a subscriber: Meno25.Nov 4 2016, 7:13 AM